# Columbia CINEMA project makefile fragment for web CGI scripts
# Copyright 1998-2001 by Columbia University; all rights reserved 

web_dir := web

image_dir := $(web_dir)/images

js_dir := $(web_dir)/js

# Files imported by 'package require cinema', or miscellaneously sourced
# by the core scripts.
CINEMA_WEB_TCL_CORE := \
	$(web_dir)/auth.tcl \
	$(web_dir)/banner.tcl \
	$(web_dir)/base64.tcl \
	$(web_dir)/checkdirectory.tcl \
	$(web_dir)/checkemail.tcl \
	$(web_dir)/checkuser.tcl \
	$(web_dir)/checkhost.tcl \
	$(web_dir)/checkint.tcl \
	$(web_dir)/checkname.tcl \
	$(web_dir)/checkphone.tcl \
	$(web_dir)/checkurl.tcl \
	$(web_dir)/cinema_util.tcl \
	$(web_dir)/config.tcl \
	$(web_dir)/countries.tcl \
	$(web_dir)/email.tcl \
	$(web_dir)/filetype.tcl \
	$(web_dir)/fmt.tcl \
	$(web_dir)/gwclass_default.tcl \
	$(web_dir)/gwclass_list.tcl \
	$(web_dir)/import_default.tcl \
	$(web_dir)/iso2c.tcl \
	$(web_dir)/localuser.tcl \
	$(web_dir)/map.tcl \
	$(web_dir)/opendb.tcl \
	$(web_dir)/printdate.tcl \
	$(web_dir)/random.tcl \
	$(web_dir)/randomword.tcl \
	$(web_dir)/usermenu.tcl \
        $(web_dir)/scriptbase.tcl \
	$(web_dir)/sqltable.tcl \
	$(web_dir)/tableform.tcl \
	$(web_dir)/tarifflist.tcl \
	$(web_dir)/usershow.tcl \
	$(web_dir)/util.tcl \
	$(web_dir)/where.tcl \
	$(web_dir)/display.tcl \
	$(web_dir)/pkgIndex.tcl \
	$(web_dir)/vmailadd.tcl \
	$(web_dir)/vmaildisplay.tcl \
	$(web_dir)/zone.tcl \
	$(web_dir)/zonemap.tcl


# The core CINEMA CGI scripts -- basic user manipulation
CINEMA_WEB_CORE := \
        $(web_dir)/AddressEdit.cgi \
	$(web_dir)/Aliases.cgi \
	$(web_dir)/ConfigCinema.cgi \
        $(web_dir)/ConfigLic.cgi \
	$(web_dir)/Help.cgi \
	$(web_dir)/Login.cgi \
	$(web_dir)/Logout.cgi \
	$(web_dir)/PersonEdit.cgi  \
	$(web_dir)/PersonImportLDIF.cgi  \
	$(web_dir)/PersonList.cgi  \
	$(web_dir)/PersonnoteEdit.cgi \
	$(web_dir)/PersonShow.cgi  \
	$(web_dir)/Rating.cgi  \
	$(web_dir)/Requestlog.cgi  \
	$(web_dir)/ScriptDelete.cgi  \
	$(web_dir)/ScriptEdit.cgi  \
	$(web_dir)/ScriptForm.cgi  \
	$(web_dir)/Scripts.cgi  \
	$(web_dir)/TariffEdit.cgi  \
	$(web_dir)/TariffForm.cgi  \
	$(web_dir)/TariffList.cgi  \
	$(web_dir)/UserDelete.cgi \
	$(web_dir)/UserEdit.cgi \
	$(web_dir)/UserEditForm.cgi \
	$(web_dir)/UserList.cgi \
	$(web_dir)/UserNew.cgi \
	$(web_dir)/UserSearchForm.cgi  \
	$(web_dir)/UserShow.cgi  \
        $(web_dir)/alive.cgi \
        $(web_dir)/monitor.sh \
	$(web_dir)/banner.cgi \
	$(web_dir)/blank.cgi \
	$(web_dir)/index.cgi \
	$(web_dir)/menu.cgi

# Images used by the core scripts
CINEMA_WEB_CORE_IMAGES := \
	$(image_dir)/bill.gif  \
	$(image_dir)/blue_next.gif  \
	$(image_dir)/blue_prev.gif  \
	$(image_dir)/cinema.gif \
        $(image_dir)/compass_anim.gif \
        $(image_dir)/License.gif \
	$(image_dir)/earth0c.gif \
	$(image_dir)/trash2d.gif \
	$(image_dir)/wrench.gif \
	$(image_dir)/passport.gif \
	$(image_dir)/people0a.gif \
	$(image_dir)/person_add.gif \
	$(image_dir)/page.gif \
	$(image_dir)/exit_emergency.jpg \
        $(image_dir)/button_help.gif \
        $(image_dir)/gui_conference.jpg \
        $(image_dir)/gui_login.jpg \
        $(image_dir)/gui_vmail.jpg \
        $(image_dir)/gui_menu.jpg \
	$(image_dir)/no1a.gif \
	$(image_dir)/paragraph.gif \
	$(image_dir)/rating.gif \
	$(image_dir)/search1.gif \
	$(image_dir)/question.gif \
        $(image_dir)/globe2b.gif

# Other files needed by the core
CINEMA_WEB_CORE_SUPPORT := \
        $(web_dir)/usermanual.html \
        $(web_dir)/usermanual.cgi \
	$(js_dir)/overlib.js \
	$(js_dir)/date-picker.js \
	$(js_dir)/datetime.js \
	$(js_dir)/tz.js \
        $(js_dir)/date.js \
        $(js_dir)/setcookie.js \
	$(web_dir)/wordlist

# CINEMA CGI scripts for proxying
CINEMA_WEB_SIPD := \
        $(web_dir)/Bill.cgi \
	$(web_dir)/Contacts.cgi \
	$(web_dir)/ConfigLog.cgi \
	$(web_dir)/ConfigProxy.cgi \
        $(web_dir)/ConfigTLS.cgi \
	$(web_dir)/Gwclass.cgi \
	$(web_dir)/GwclassAdd.cgi \
	$(web_dir)/GwclassDelete.cgi \
	$(web_dir)/ThirdParty.cgi

# Images used by proxying scripts
CINEMA_WEB_SIPD_IMAGES := \
        $(image_dir)/code0d.gif \
	$(image_dir)/rolodex1.gif \
	$(image_dir)/rolodex2.gif \
	$(image_dir)/rolodex_new.gif \
	$(image_dir)/tick_green.gif \
	$(image_dir)/register3.gif \
	$(image_dir)/permit.gif \
	$(image_dir)/gears1.gif \
	$(image_dir)/gears2.gif \
	$(image_dir)/requestlog.gif \
	$(image_dir)/sip_proxy.gif \
	$(image_dir)/sip_redirect.gif

# CINEMA CGI scripts for conferencing
CINEMA_WEB_SIPCONF := \
	$(web_dir)/ConfDelete.cgi \
        $(web_dir)/ConfDownload.cgi \
	$(web_dir)/ConfEdit.cgi \
	$(web_dir)/ConfEnter.cgi \
        $(web_dir)/ConfFileDelete.cgi \
        $(web_dir)/ConfFileEdit.cgi \
	$(web_dir)/ConfList.cgi \
	$(web_dir)/ConfMembers.cgi \
	$(web_dir)/ConfUtil.tcl

# Images used by conferencing scripts
CINEMA_WEB_SIPCONF_IMAGES := \
	$(image_dir)/meeting12.gif \
        $(image_dir)/conference.gif \
        $(image_dir)/arrow.gif \
        $(image_dir)/asf.gif \
        $(image_dir)/avi.gif \
        $(image_dir)/down.gif \
        $(image_dir)/edit.gif \
        $(image_dir)/excel.gif \
        $(image_dir)/first.gif \
        $(image_dir)/gif.gif \
        $(image_dir)/html.gif \
        $(image_dir)/jpeg.gif \
        $(image_dir)/last.gif \
        $(image_dir)/latex.gif \
        $(image_dir)/midi.gif \
        $(image_dir)/mpeg.gif \
        $(image_dir)/msaccess.gif \
        $(image_dir)/next.gif \
        $(image_dir)/pdf.gif \
        $(image_dir)/powerpoint.gif \
        $(image_dir)/previous.gif \
        $(image_dir)/ps.gif \
        $(image_dir)/ps1.gif \
        $(image_dir)/realmedia.gif \
        $(image_dir)/realvideo.gif \
        $(image_dir)/rtf.gif \
        $(image_dir)/tar.gif \
        $(image_dir)/text3.gif \
        $(image_dir)/trash0c.gif \
        $(image_dir)/trash5b.gif \
        $(image_dir)/unknown.gif \
        $(image_dir)/up.gif \
        $(image_dir)/wav.gif \
        $(image_dir)/wmv.gif \
        $(image_dir)/word.gif \
        $(image_dir)/zip.gif

# CINEMA CGI scripts for voicemail/unified messaging
CINEMA_WEB_SIPUM := \
	$(web_dir)/ConfigVmail.cgi \
	$(web_dir)/Vmail.cgi \
	$(web_dir)/VmailFolders.cgi  \
	$(web_dir)/VmailListen.cgi  \
        $(web_dir)/UploadForm.cgi

# Images used by voicemail scripts
CINEMA_WEB_SIPUM_IMAGES := \
	$(image_dir)/voicemail1.gif \
	$(image_dir)/newmail.gif \
	$(image_dir)/emailicon.gif \
	$(image_dir)/folder2a.gif

# Tcl CGI sources
web_tcl_cgi_dir := $(web_dir)/cgi1.5
CINEMA_WEB_TCL_CGI := \
	$(web_tcl_cgi_dir)/README \
	$(web_tcl_cgi_dir)/cgi.tcl \
	$(web_tcl_cgi_dir)/pkgIndex.tcl

# Miscellaneous files needed for a source distribution
WEB_MISC := \
	$(web_dir)/module.mk \
	$(web_dir)/pkg


CINEMA_WEB_SIPD_BINDIST := \
	$(CINEMA_WEB_TCL_CORE) \
	$(CINEMA_WEB_CORE) \
	$(CINEMA_WEB_CORE_IMAGES) \
	$(CINEMA_WEB_CORE_SUPPORT) \
	$(CINEMA_WEB_SIPD) \
	$(CINEMA_WEB_SIPD_IMAGES) \
	$(CINEMA_WEB_TCL_CGI) 


CINEMA_WEB_SIPD_DIST := \
	$(CINEMA_WEB_SIPD_BINDIST) \
	$(WEB_MISC)

CINEMA_WEB_SIPUM_BINDIST := \
	$(CINEMA_WEB_TCL_CORE) \
	$(CINEMA_WEB_CORE) \
	$(CINEMA_WEB_CORE_IMAGES) \
	$(CINEMA_WEB_CORE_SUPPORT) \
        $(CINEMA_WEB_SIPD) \
	$(CINEMA_WEB_SIPUM) \
	$(CINEMA_WEB_SIPUM_IMAGES) \
	$(CINEMA_WEB_SIPD_IMAGES) \
	$(CINEMA_WEB_TCL_CGI)

CINEMA_WEB_SIPUM_DIST := \
	$(CINEMA_WEB_SIPUM_BINDIST) \
	$(WEB_MISC)

CINEMA_WEB_SIPCONF_BINDIST := \
	$(CINEMA_WEB_TCL_CORE) \
	$(CINEMA_WEB_CORE) \
	$(CINEMA_WEB_CORE_IMAGES) \
	$(CINEMA_WEB_CORE_SUPPORT) \
        $(CINEMA_WEB_SIPD) \
	$(CINEMA_WEB_SIPCONF) \
	$(CINEMA_WEB_SIPCONF_IMAGES) \
	$(CINEMA_WEB_SIPD_IMAGES) \
	$(CINEMA_WEB_TCL_CGI)

CINEMA_WEB_SIPCONF_DIST := \
	$(CINEMA_WEB_SIPCONF_BINDIST) \
	$(WEB_MISC)
